2019-10-21 18:05 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002936FSSCPtablespublic2013-10-25 19:17
ReporterYarn 
Assigned ToGoober5000 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSWindows 7OS Version
Product Version3.7.1 
Target Version3.7.2Fixed in Version3.7.2 
Summary0002936: Version comment and block comment delimiter on same line causes crash
DescriptionAny instance of a line consisting of a version comment followed by a block comment delimiter (e.g., ;;FSO 3.7.0;; /*) causes FSO to crash. Lines like this are necessary for Mjn.mixael's medals to be added to the FreeSpace Port.
Steps To ReproduceSimply add the following lines to any table file, preferably before the end marker:

;;FSO 3.5.0;; /*
;;FSO 3.5.0;; */

Have the game parse the table, and voila! Crash.
Additional InformationHere's an example of the error that this produces:

medals.tbl(line 16):
Error: Missing required token: [$Num mods:]. Found [;;FSO 3.7.1;; ] instead.

ntdll.dll! ZwWaitForSingleObject + 21 bytes
kernel32.dll! WaitForSingleObjectEx + 67 bytes
kernel32.dll! WaitForSingleObject + 18 bytes
fs2_open_3_7_1_SSE2-DEBUG.exe! SCP_DumpStack + 354 bytes
fs2_open_3_7_1_SSE2-DEBUG.exe! Error + 229 bytes
fs2_open_3_7_1_SSE2-DEBUG.exe! error_display + 369 bytes
fs2_open_3_7_1_SSE2-DEBUG.exe! required_string + 106 bytes
fs2_open_3_7_1_SSE2-DEBUG.exe! parse_medal_tbl + 1809 bytes
fs2_open_3_7_1_SSE2-DEBUG.exe! game_init + 1498 bytes
fs2_open_3_7_1_SSE2-DEBUG.exe! game_main + 519 bytes
fs2_open_3_7_1_SSE2-DEBUG.exe! WinMain + 328 bytes
fs2_open_3_7_1_SSE2-DEBUG.exe! __tmainCRTStartup + 283 bytes
fs2_open_3_7_1_SSE2-DEBUG.exe! WinMainCRTStartup + 13 bytes
kernel32.dll! BaseThreadInitThunk + 18 bytes
ntdll.dll! RtlInitializeExceptionChain + 99 bytes
ntdll.dll! RtlInitializeExceptionChain + 54 bytes
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0015346

Yarn (developer)

If I'm not mistaken, this was fixed in r9945.

~0015348

Goober5000 (administrator)

Indeed it was. I forgot to resolve it.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2013-10-14 23:15 Yarn New Issue
2013-10-15 09:30 Goober5000 Assigned To => Goober5000
2013-10-15 09:30 Goober5000 Status new => assigned
2013-10-25 00:41 Yarn Note Added: 0015346
2013-10-25 19:17 Goober5000 Changeset attached => fs2open trunk r9945
2013-10-25 19:17 Goober5000 Note Added: 0015348
2013-10-25 19:17 Goober5000 Status assigned => resolved
2013-10-25 19:17 Goober5000 Resolution open => fixed
2013-10-25 19:17 Goober5000 Fixed in Version => 3.7.2
2013-10-25 19:17 Goober5000 Target Version => 3.7.2
+Issue History